Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets
Class MethodMetadata

    java.lang.Object
      javax.faces.view.facelets.Metadata
          org.richfaces.view.facelets.MethodMetadata

    public abstract class MethodMetadata

extends javax.faces.view.facelets.Metadata

Since:
  Feb 24, 2010
Author:
  akolonitsky

Field Summary
`protected javax.faces.view.facelets.TagAttribute` | `attribute`
`protected java.lang.Class<?>[]` | `signature`

Constructor Summary
`MethodMetadata(javax.faces.view.facelets.TagAttribute attribute, java.lang.Class<?>... signature)`

Method Summary
`protected javax.faces.el.MethodBinding` | `getMethodBinding(javax.faces.view.facelets.FaceletContext ctx)`
`protected javax.el.MethodExpression` | `getMethodExpression(javax.faces.view.facelets.FaceletContext ctx)`

Methods inherited from class javax.faces.view.facelets.Metadata
`applyMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### signature

    protected final java.lang.Class<?>[] signature

### attribute

    protected final javax.faces.view.facelets.TagAttribute attribute

Constructor Detail

### MethodMetadata

    public MethodMetadata(javax.faces.view.facelets.TagAttribute attribute,
                          java.lang.Class<?>... signature)

Method Detail

### getMethodExpression

    protected javax.el.MethodExpression getMethodExpression(javax.faces.view.facelets.FaceletContext ctx)

### getMethodBinding

    protected javax.faces.el.MethodBinding getMethodBinding(javax.faces.view.facelets.FaceletContext ctx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.